<?php
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
	
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	$StrAlm=V($_POST['CboAlm']);		
	$StrCom=V($_POST['CboCom']);		
	$StrSer=V($_POST['TxtSer']);		
	$StrNum=V($_POST['TxtNum']);		
	$StrDex=V($_POST['TxtDex']);		
	$StrHax=V($_POST['TxtHax']);			
	$StrDes=V($_POST['TxtDes']);		
	$StrMar=V($_POST['TxtMar']);			
	$StrPro=V($_POST['TxtPro']);			
	$StrSN=V($_POST['CboSN']);
	$StrLin=V($_POST['TxtLin']);			
	
	$IdUsu=$_SESSION['SYS_USER_ID'];
	
	if($_SESSION['SYS_USER_ALM']=="%"){
		if(strlen($StrAlm)==0)$StrAlm=T($StrAlm);//$StrAlm=GetSO("alm_nombre","almacenes","","alm_nombre");
	}else{
		$StrAlm=$_SESSION['SYS_USER_ALM'];
	}	
			
	$StrAlm=T($StrAlm);	
	//-------------------------
	if(strlen($StrSN)==0)$StrSN="NO";
	$StrSN_=substr($StrSN,0,1);
	$StrDes_=$StrDes."%";
	$StrMar_=$StrMar."%";
	$StrNum_=$StrNum."%";
	$StrSer_=$StrSer."%";
	if(strlen($StrDex)==0){
		$StrDex_="2000-01-01";
	}else{
		$StrDex_=ToDate($StrDex);
	}
	if(strlen($StrHax)==0){
		$StrHax_="2020-12-01";
	}else{
		$StrHax_=ToDate($StrHax);
	}
	$StrPro_=$StrPro."%";
	$StrLin_=VCbo($StrLin);
	//-------------------------
	$FF="ID>0 
	AND ALM LIKE '$StrAlm' 
	AND SER LIKE '$StrSer_' 
	AND NUM LIKE '$StrNum_' 
	AND FEC >= '$StrDex_' 
	AND FEC <= '$StrHax_' 
	AND DES_RS LIKE '$StrPro_' 
	AND ANU LIKE '$StrSN_' 
	AND DES LIKE '$StrDes_' 
	AND MAR LIKE '$StrMar_'
	AND LIN LIKE '$StrLin_' ";
	$LStrTR=gn("count(*)","vguias_det",$FF);
	$LStrPag=V($_POST['TxtPag']);	
	if($StrCmd=="F"){$LStrPag="1";}
	$VP_RegXPag=50000;	
	$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
?>

<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Guias - Buscar - Detallado</title>
<!----------------------------------------->
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>

<!----------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />
<!----------------------------------------->
<style type="text/css">
.cF {height:600px;width:1250px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}

</style>

<!----------------------------------------->
<script>
$(document).ready(function(){  
   Inicializar();
   jF("CboAlm");
});


function fGenPDF(){
	var CboAlm=document.getElementById("CboAlm").value;
	if(CboAlm=="TODOS"){
		alert("Seleccione un Almacen");
		document.getElementById("CboAlm").focus();
		return;
	}	
	document.getElementById("TxtAc").value="GEN_PDF";
	document.getElementById("Frm").submit();
}

function fGenPDF_2(){
	var CboAlm=document.getElementById("CboAlm").value;
	if(CboAlm=="TODOS"){
		alert("Seleccione un Almacen");
		document.getElementById("CboAlm").focus();
		return;
	}
	document.getElementById("TxtAc").value="GEN_PDF_2";
	document.getElementById("Frm").submit();
}

</script>

<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<!----------------------------------------->
<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div class="mM" align="left" style="font-size:12px">
<?php
$HTM=file_get_contents("http://inversionessounduniversal.com/ventas/phpmnu.php?USER_ID=$IdUsu");
echo $HTM;
?>
</div>

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post" 
autocomplete="off"
action="guias_buscar_det.php" 
style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">
<!----------------------------------------->
<div id="DivT" class="dT"  style="width:1250px;">
<img src="b.png" class="iT" />
<div class="tT">GUIAS - BUSCAR DETALLADA</div>
</div>

<!----------------------------------------->

<div class="s1" style="left: 35px; top: 121px; width: 102px;">
ALMACEN</div>
<select name="CboAlm" id="CboAlm" 
class="lt"  style="left: 35px; top: 138px; width: 135px" 
tabindex="<?php echo ++$TI;?>">
<?php 
	if($IdUsu>=1  && V($_SESSION['SYS_USER_ALM'])!="%"){
		echo ListALM($StrAlm); 
	}else{
    	echo FCBO("alm_nombre","almacenes","id_almacen>0",$StrAlm,"S","N");
    }
?>
</select>

<div class="s1" style="left: 178px; top: 121px; width: 102px;">
COMPROBANTE</div>
<select name="CboCom" id="CboCom" 
class="lt"  style="left: 178px; top: 138px; width: 98px" 
tabindex="<?php echo ++$TI;?>">
<option value="GUIA">GUIA</option>
</select>

<div class="s1" style="left: 284px; top: 121px; width: 46px;">
SERIE</div>
<input name="TxtSer" type="text" id="TxtSer" 
class="lt"  style="left: 284px; top: 138px; width: 50px" 
value="<?php echo $StrSer;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 346px; top: 121px; width: 60px;">
NUMERO</div>
<input name="TxtNum" type="text" id="TxtNum" 
class="lt" style="left: 346px; top: 138px; width: 70px" 
value="<?php echo $StrNum;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 427px; top: 121px; width: 45px;">
DESDE</div>
<input name="TxtDex" type="text" id="TxtDex" 
class="fe" style="left: 427px; top: 138px; width:100px" 
value="<?php echo $StrDex;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 533px; top: 121px; width: 60px;">
HASTA</div>
<input name="TxtHax" type="text" id="TxtHax" 
class="fe" style="left: 532px; top: 138px; width:100px" 
value="<?php echo $StrHax;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 643px; top: 121px; width: 100px;">
DESTINATARIO</div>
<input name="TxtPro" type="text" id="TxtPro" 
class="lt" style="left: 641px; top: 138px; width: 100px" 
value="<?php echo $StrPro;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 750px; top: 121px; width: 75px;">
ANULADO</div>
<select name="CboSN" id="CboSN" 
class="lt" style="left: 749px; top: 138px; width: 60px" 
tabindex="<?php echo ++$TI;?>">
<?php
if($StrSN=="" || $StrSN=="NO"){
    AD("NO",1);	AD("SI",0);
}else{
    AD("NO",0);	AD("SI",1);
}
?>
</select>

<div class="s1" style="left: 818px; top: 121px; width: 74px;">
DESCRIPCION</div>
<input name="TxtDes" type="text" id="TxtDes" 
class="lt" style="left: 818px; top: 138px; width: 176px" 
value="<?php echo $StrDes;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 1003px; top: 121px; width: 74px;">
MARCA</div>
<input name="TxtMar" type="text" id="TxtMar" 
class="lt" style="left: 1002px; top: 138px; width: 78px;" 
value="<?php echo $StrMar;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 1095px; top: 121px; width: 119px;"> TIPO DE PRODUCTO
</div>
<select name="TxtLin" id="TxtLin" 
class="lt" style="left: 1092px; top: 138px; width: 122px;"
tabindex="<?php echo ++$TI;?>">
<?php echo FCBOO_("lin_nombre","lineas","id_linea>0",$StrLin,"S","","lin_nombre");?>
</select>


<!----------------------------------------->
<div id="DivBtn" align="left" style="position:absolute; left: 35px; top: 71px; width: 551px; height: 26px;">
<input name="CmdB" type="button" id="CmdB" class="btm"
value="Buscar" onClick="fFiltrar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdB" type="button" id="CmdZ" class="btm"
value="Volver" onClick="fBuscar('guias.php?TxtAc=X');"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="Generar PDF" onClick="fGenPDF_2();"
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="PDF.Det" onClick="fGenPDF();"
tabindex="<?php echo ++$TI;?>" />
</div>
    

<div class="datagrid" style="position: absolute; left: 35px; top: 165px; width: 1180px; height: 409px; overflow: auto">
<table id="Exportar_a_Excel" width="100%">
<thead>
<tr>
<td colspan="10" align="center"><?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?></td>
</tr>

<tr>
<th width="122" style="text-align:left; background:#999">ALMACEN</th>
<th width="65" style="text-align:left; background:#999"">COMPRO</th>
<th width="77"  style="text-align:left; background:#999"">NUMERO</th>
<th width="72"  style="text-align:left; background:#999"">FECHA</th>
<th width="195" style="text-align:left; background:#999"">DESTINATARIO</th>
<th width="88" style="text-align:left; background:#999"">RUC</th>
<th width="228" style="text-align:left; background:#999"">DESCRIPCION</th>
<th width="129" style="text-align:left; background:#999"">MARCA</th>
<th width="108" style="text-align:left; background:#999"">TIPO DE PROD.</th>
<th width="50" style="text-align:right; background:#999"">CAN</th>
</tr>
</thead>
<tbody>
<?php		  		
	$s="SELECT ID,ALM,'GUIA' as
	     COM,CONCAT(SER,'-',NUM),DATE_FORMAT(FEC,'%d-%m-%y'),
		 DES_RS,DES_RUC,DES,MAR,LIN,KA
		 FROM vguias_det 
		 WHERE $FF 
		 ORDER BY ALM,SER,NUM,FEC,DES_RS ";

	$result = grs($s);				
	while ($row = $result->fetch_row()){
		
		?>	
		<tr onDblClick="location.href='guias.php?Id=<?php echo $row[0];?>&Pag=0'">
		<!----------------------------------------------->
		<td><?php echo vbl($row[1],17);?></td> 
		<td><?php echo $row[2];?></td>
		<td><a target="_blank" href="guias.php?Id=<?php echo $row[0];?>">'<?php echo $row[3];?></a></td>
		<td style="text-align:left;"><?php echo $row[4];?></td> 
		<td><?php echo vbl($row[5],27);?></td> 
		<td><?php echo $row[6];?></td> 
		<td><?php echo vbl($row[7],31);?></td> 
		<td style="text-align:left"><?php echo vbl($row[8],16);?></td> 
		<td style="text-align:left"><?php echo vbl($row[9],15);?></td>
		<td style="text-align:right"><?php echo NF2($row[10],1);?></td>
		<!----------------------------------------------->
		</tr>
		<?php
		
		$ST=$ST+$row[10];
	}
?>		  

<tr>
<td colspan="9" bgcolor="#999999" style="text-align:right"><span class="Estilo4">TOTAL</span></td>
<td width="50" bgcolor="#999999" style="text-align:right"><span class="Estilo4"><?php echo $ST;?></span></td>
</tr>       
         
</tbody>
</table>
</div>

<!----------------------------------------->
<?php include("ocultos.php");?>

</form>

<form action="ficheroExcel.php" 
	method="post" target="_blank" id="FormularioExportacion" >

<div style="position: absolute; left: 408px; top: 71px; width: 45px; height: 15px;">  
    <input name="" type="button" class="botonExcel btm" value="Exportar" />
    <input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
</div>
</form>

<?php
if($StrCmd=="GEN_PDF_2"){
	$_PDF=GEN_PDF_2($FF,$StrAlm,$StrCom,$StrSer,$StrNum,$StrDex,$StrHax,$StrDes,$StrMar,$StrPro,$StrSN);
	$StrDES_2=$_PDF;
}

function GEN_PDF_2($FF,$StrAlm,$StrCom,$StrSer,$StrNum,$StrDex,$StrHax,$StrDes,$StrMar,$StrPro,$StrSN){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"GUIA",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------

if(strlen($StrAlm)>0){
if($StrAlm=="%"){$StrAlm="TODOS";}
$_ENC=vbl("ALMACEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrCom)>0){
$_ENC=vbl("COMPROBANTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrCom.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrSer)>0){
$_ENC=vbl("SERIE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrNum.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrNum)>0){
$_ENC=vbl("NUMERO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrNum.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDex)>0){
$_ENC=vbl("DESDE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDex.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrHax)>0){
$_ENC=vbl("HASTA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrHax.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrPro)>0){
$_ENC=vbl("DESTINARATIO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrPro.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDes)>0){
$_ENC=vbl("DESCRIPCION".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDes.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrMar)>0){
$_ENC=vbl("MARCA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDes.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrSN)>0){
$_ENC=vbl("ANULADO S/N".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrSN.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,"",0,1);
$pdf->Cell(0,4,"",0,1);
//------------------------------------------
$P=0;
$P++;	$T[$P]=11;	$_ENC=vbl("ALMACEN".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=3;	$_ENC=$_ENC." ".vbl("COM".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=10;	$_ENC=$_ENC." ".vbl("NUMERO".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=8;	$_ENC=$_ENC." ".vbl("FECHA".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=15;	$_ENC=$_ENC." ".vbl("DESTINATARIO".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=11;	$_ENC=$_ENC." ".vbl("RUC".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=10;	$_ENC=$_ENC." ".vbl("DESCRIPCION".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=10;	$_ENC=$_ENC." ".vbl("MARCA".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=4;	$_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P])."CAN",$T[$P]);
$pdf->Cell(0,4,$_ENC,0,1);
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	

$s="SELECT ID,ALM,'GUIA' as
	COM,CONCAT(SER,'-',NUM),DATE_FORMAT(FEC,'%d-%m-%y'),
	DES_RS,DES_RUC,DES,MAR,KA 
	FROM vguias_det WHERE $FF ORDER BY ALM,SER,NUM,FEC,DES_RS ";

$result = grs($s);
while ($row = $result->fetch_row()){	
	$P=0;
	$P++;	$_ENC=vbl($row[1].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[2].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[3].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[4].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[5].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[6].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[7].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[8].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P]).$row[9],$T[$P]);
	$pdf->Cell(0,4,$_ENC,0,1);
	$TOT=$TOT+$row[9];
}

$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
$_TD=vbr(vbfill(" ",14).$TOT,14);
$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Guia.pdf";
$pdf->Output($PDF_NAME);
return $PDF_NAME;
}
?>










<?php
if($StrCmd=="GEN_PDF"){
	$_PDF=GEN_PDF($FF,$StrAlm,$StrCom,$StrSer,$StrNum,$StrDex,$StrHax,$StrDes,$StrMar,$StrPro,$StrSN);
	$StrDESCARGAR=$_PDF;
}

function GEN_PDF($FF,$StrAlm,$StrCom,$StrSer,$StrNum,$StrDex,$StrHax,$StrDes,$StrMar,$StrPro,$StrSN){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"GUIA DETALLADO",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
if(strlen($StrAlm)>0){
if($StrAlm=="%"){$StrAlm="TODOS";}
$_ENC=vbl("ALMACEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrCom)>0){
$_ENC=vbl("COMPROBANTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrCom.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrSer)>0){
$_ENC=vbl("SERIE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrNum.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrNum)>0){
$_ENC=vbl("NUMERO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrNum.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDex)>0){
$_ENC=vbl("DESDE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDex.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrHax)>0){
$_ENC=vbl("HASTA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrHax.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrPro)>0){
$_ENC=vbl("DESTINARATIO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrPro.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDes)>0){
$_ENC=vbl("DESCRIPCION".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDes.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrMar)>0){
$_ENC=vbl("MARCA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDes.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrSN)>0){
$_ENC=vbl("ANULADO S/N".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrSN.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

$pdf->Cell(0,4,"",0,1);
$pdf->Cell(0,4,"",0,1);	
//
$s="SELECT ID,ALM,'GUIA' as
	COM,CONCAT(SER,'-',NUM),DATE_FORMAT(FEC,'%d-%m-%y'),
	DES_RS,DES_RUC,DES,MAR,KA 
	FROM vguias_det WHERE $FF GROUP BY ID ORDER BY ALM,SER,NUM,FEC,DES_RS ";

$result = grs($s);
while ($row = $result->fetch_row()){
	$_ENC=vbl("COM: ".$row[2].vbfill(" ",10),10);
	$_ENC=$_ENC." ".vbl("NUM: ".$row[3].vbfill(" ",17),17);
	$_ENC=$_ENC." ".vbl("FEC: ".$row[4].vbfill(" ",14),14);
	$_ENC=$_ENC." ".vbl("DESTIN: ".$row[5].vbfill(" ",29),29);
	$_ENC=$_ENC." ".vbl("RUC: ".$row[6].vbfill(" ",16),16);
	$pdf->Cell(0,4,$_ENC,0,1);

	$P=0;
	$P++; $T[$P]=10;	$_ENC=vbl("CODIGO".vbfill(" ",$T[$P]),$T[$P]);
	$P++; $T[$P]=50;	$_ENC=$_ENC." ".vbl("DESCRIPCION".vbfill(" ",$T[$P]),$T[$P]);
	$P++; $T[$P]=22;	$_ENC=$_ENC." ".vbl("MARCA".vbfill(" ",$T[$P]),$T[$P]);
	$P++; $T[$P]=5;	$_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P])."CAN",$T[$P]);
	$pdf->Cell(0,4,$_ENC,0,1);
	$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	

	$TOT=0;

	$sS="SELECT ID,COD,DES,MAR,KA
		FROM vguias_det WHERE ID=$row[0] ORDER BY ALM,SER,NUM,FEC,DES_RS ";

	$resultS = grs($sS);
	while ($rowS = $resultS->fetch_row()){	
	$P=0;
	$P++; $_ENC=vbl($rowS[1].vbfill(" ",$T[$P]),$T[$P]);
	$P++; $_ENC=$_ENC." ".vbl($rowS[2].vbfill(" ",$T[$P]),$T[$P]);
	$P++; $_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P]).$rowS[3],$T[$P]);
	$P++; $_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P]).$rowS[4],$T[$P]);
	$pdf->Cell(0,4,$_ENC,0,1);	
	$TOT=$TOT+$rowS[4];
	}
	$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
	$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
	$_TD=vbr(vbfill(" ",14).$TOT,14);
	$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	
	//
	$pdf->Cell(0,4,"",0,1);	
	$pdf->Cell(0,4,"",0,1);	
}

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Guia_Detallado.pdf";
$pdf->Output($PDF_NAME);
return $PDF_NAME;
}
?>

<?php
if(strlen($StrDES_2)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 221px; top: 102px; 
	  width: 88px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDES_2\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 315px; top: 102px; 
	  width: 89px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

</div>
</body>
</html>
